﻿@model SettingViewModel
@{
    ViewBag.Title = "تنظیمات";
}
<div class="row">
    <div class="col-12">
        <div class="card-box">
            @using (Html.BeginForm())
            {
                <h4 class="header-title m-t-0 m-b-30">@ViewBag.Title</h4>

                <ul class="nav nav-tabs tabs-bordered nav-justified">
                    <li class="nav-item">
                        <a href="#comment" data-toggle="tab" aria-expanded="false" class="nav-link">
                            کلی
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#blog" data-toggle="tab" aria-expanded="true" class="nav-link active">
                            وبلاگ
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#email" data-toggle="tab" aria-expanded="false" class="nav-link">
                            ایمیل
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#sms" data-toggle="tab" aria-expanded="false" class="nav-link">
                            پیامک
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#telegram" data-toggle="tab" aria-expanded="false" class="nav-link">
                            تلگرام
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#localization" data-toggle="tab" aria-expanded="false" class="nav-link">
                            زبان
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#cache" data-toggle="tab" aria-expanded="false" class="nav-link">
                            کش
                        </a>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane" id="comment">
                        @Html.BsEditorFor(m => m.CommentSettings.PostCommentVisiblesCount, lable_col: 5, editor_col: 7)
                    </div>
                    <div class="tab-pane active" id="blog">
                        <div class="row">
                            <div class="col-6">
                                @Html.BsTextAreaFor(m => m.BlogSettings.BlogMetaKeywords, "fa fa-pencil", 5, null, 5, 7)
                            </div>
                            <div class="col-6">
                                @Html.BsTextAreaFor(m => m.BlogSettings.BlogMetaDescription, "fa fa-pencil", 5, null, 5, 7)
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.BlogPageSize, "fa fa-pencil", null, 5, 7)
                            </div>
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.PopularPostsCount, "fa fa-pencil", null, 5, 7)
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.RelatedPostsCount, "fa fa-pencil", null, 5, 7)
                            </div>
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.LatestPostsCount, "fa fa-pencil", null, 5, 7)
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.SinglePageTagsCount, "fa fa-pencil", null, 5, 7)
                            </div>
                            <div class="col-6">
                                @Html.BsEditorFor(m => m.BlogSettings.IndexTagsCount, "fa fa-pencil", null, 5, 7)
                            </div>
                        </div>
                        @Html.BsCheckboxEditorFor(m => m.BlogSettings.IndexTagsAreEnabled, null, null, 5, 7)
                    </div>
                    <div class="tab-pane" id="email">
                        @Html.BsEditorFor(m => m.MessageSettings.ReportsReceiver_EmailAccount, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_ForgotPassword_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_Registration_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_EmailChanged_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_NewOrder_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_SupportTicketSubmit_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_UserVerifyRequest_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        @Html.BsDropDownFor(m => m.MessageSettings.Email_UserVerifyRespond_EmailAccountId, Model.EmailAccounts, null, "fa fa-pencil", null, 3, 4)
                        <div class="row">
                            <div class="col-6">
                                <h3>Admin</h3>
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_Admin_NewOrder, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_Admin_Registration, null, null, 5, 4)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_Admin_SupportTicketSubmit, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_Admin_UserVerifyRequest, null, null, 5, 7)
                                <hr />
                            </div>
                            <div class="col-6">
                                <h3>User</h3>
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_ForgotPassword, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_Registration, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_EmailChanged, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_NewOrder, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_SupportTicketSubmit, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_UserVerifyRequest, null, null, 5, 7)
                                @Html.BsCheckboxEditorFor(m => m.MessageSettings.Email_User_UserVerifyRespond, null, null, 5, 7)
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane" id="sms">
                        @Html.BsEditorFor(m => m.MessageSettings.ReportsReceiver_PhoneNumber, "fa fa-pencil", null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMSSendingMaxTry, null, null, 3, 4)
                        <h3>ادمین</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_Admin_NewOrder, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_Admin_Registration, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_Admin_SupportTicketSubmit, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_Admin_UserVerifyRequest, null, null, 3, 4)
                        <hr />
                        <h3>کاربر</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_ForgotPassword, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_Registration, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_PhoneNumberChanged, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_SupportTicketSubmit, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_NewOrder, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_UserVerifyRequest, null, null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.SMS_User_UserVerifyRespond, null, null, 3, 4)
                    </div>
                    <div class="tab-pane" id="telegram">
                        <h3>فراموشی کلمه عبور</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.Telegram_Admin_ForgotPassword, null, null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_ForgotPassword_ChannelId, "fa fa-pencil", null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_ForgotPassword_Token, "fa fa-pencil", null, 3, 4)
                        <hr />
                        <h3>ثبت نام</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.Telegram_Admin_Registration, null, null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_Registration_ChannelId, "fa fa-pencil", null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_Registration_Token, "fa fa-pencil", null, 3, 4)
                        <hr />
                        <h3>تیکت پشتیبانی</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.Telegram_Admin_SupportTicketSubmit, null, null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_SupportTicketSubmit_ChannelId, "fa fa-pencil", null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_SupportTicketSubmit_Token, "fa fa-pencil", null, 3, 4)
                        <hr />
                        <h3>سفارش جدید</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.Telegram_Admin_NewOrder, null, null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_NewOrder_ChannelId, "fa fa-pencil", null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_NewOrder_Token, "fa fa-pencil", null, 3, 4)
                        <hr />
                        <h3>درخواست احراز هویت</h3>
                        @Html.BsCheckboxEditorFor(m => m.MessageSettings.Telegram_Admin_UserVerifyRequest, null, null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_UserVerifyRequest_ChannelId, "fa fa-pencil", null, 3, 4)
                        @Html.BsEditorFor(m => m.MessageSettings.Telegram_Admin_UserVerifyRequest_Token, "fa fa-pencil", null, 3, 4)
                    </div>
                    <div class="tab-pane" id="localization">
                        @Html.BsDropDownFor(m => m.LocalizationSettings.DefaultAdminLanguageId, Model.Languages, null, "fa fa-pencil", null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.AutomaticallyDetectLanguage, null, null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.LoadAllLocaleRecordsOnStartup, null, null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.LoadAllLocalizedPropertiesOnStartup, null, null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.LoadAllUrlRecordsOnStartup, null, null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.SeoFriendlyUrlsForLanguagesEnabled, null, null, 5, 4)
                        @Html.BsCheckboxEditorFor(m => m.LocalizationSettings.UseImagesForLanguageSelection, null, null, 5, 4)
                    </div>
                    <div class="tab-pane" id="cache">
                        @Html.BsEditorFor(m => m.CacheSettings.DefaultCacheMinutes, "fa fa-pencil", null, 3, 4)
                        @Html.BsCheckboxEditorFor(m => m.CacheSettings.LoadAllOnStartup, null, null, 3, 4)
                    </div>
                </div>
                <input type="submit" value="ذخیره همه" class="btn btn-success btn-lg" />
            }
        </div>
    </div> <!-- end col -->
</div>